[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
texinfo ChangeLog tp/Makefile.am tp/maintain/re...
From: |
karl |
Subject: |
texinfo ChangeLog tp/Makefile.am tp/maintain/re... |
Date: |
Sun, 03 Feb 2013 23:53:49 +0000 |
CVSROOT: /sources/texinfo
Module name: texinfo
Changes by: karl <karl> 13/02/03 23:53:48
Modified files:
. : ChangeLog
tp : Makefile.am
tp/maintain : regenerate_docstr.sh regenerate_file_lists.pl
Log message:
avoid dependencies on directories
CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/ChangeLog?cvsroot=texinfo&r1=1.1537&r2=1.1538
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/Makefile.am?cvsroot=texinfo&r1=1.56&r2=1.57
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/maintain/regenerate_docstr.sh?cvsroot=texinfo&r1=1.1&r2=1.2
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/maintain/regenerate_file_lists.pl?cvsroot=texinfo&r1=1.12&r2=1.13
Patches:
Index: ChangeLog
===================================================================
RCS file: /sources/texinfo/texinfo/ChangeLog,v
retrieving revision 1.1537
retrieving revision 1.1538
diff -u -b -r1.1537 -r1.1538
--- ChangeLog 3 Feb 2013 23:44:58 -0000 1.1537
+++ ChangeLog 3 Feb 2013 23:53:48 -0000 1.1538
@@ -1,5 +1,10 @@
2013-02-03 Karl Berry <address@hidden>
+ * tp/Makefile.am: doc fix.
+ * tp/maintain/regenerate_docstr.sh: do not depend on directories
+ with their unpredictable timestamps.
+ * tp/maintain/regenerate_file_lists.pl: copyright year update.
+
* po_document/pl.po: new translation.
* po_document/LINGUAS: add it.
Index: tp/Makefile.am
===================================================================
RCS file: /sources/texinfo/texinfo/tp/Makefile.am,v
retrieving revision 1.56
retrieving revision 1.57
diff -u -b -r1.56 -r1.57
--- tp/Makefile.am 28 Jan 2013 18:36:51 -0000 1.56
+++ tp/Makefile.am 3 Feb 2013 23:53:48 -0000 1.57
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.56 2013/01/28 18:36:51 karl Exp $
+# $Id: Makefile.am,v 1.57 2013/02/03 23:53:48 karl Exp $
# Makefile.am for texinfo/tp.
#
# Copyright 2011, 2012, 2013 Free Software Foundation, Inc.
@@ -14,7 +14,7 @@
# A long list of files that we generate and some rules.
include $(srcdir)/Makefile.tres
-# document string locales files and associated rules.
+# Document string locale files and associated rules.
include $(srcdir)/Makefile.docstr
$(srcdir)/Makefile.tres: maintain/regenerate_file_lists.pl
Index: tp/maintain/regenerate_docstr.sh
===================================================================
RCS file: /sources/texinfo/texinfo/tp/maintain/regenerate_docstr.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -b -r1.1 -r1.2
--- tp/maintain/regenerate_docstr.sh 13 Jan 2013 18:04:59 -0000 1.1
+++ tp/maintain/regenerate_docstr.sh 3 Feb 2013 23:53:48 -0000 1.2
@@ -1,5 +1,5 @@
#! /bin/sh
-# $Id: regenerate_docstr.sh,v 1.1 2013/01/13 18:04:59 karl Exp $
+# $Id: regenerate_docstr.sh,v 1.2 2013/02/03 23:53:48 karl Exp $
# Copyright 2011, 2012, 2013 Free Software Foundation, Inc.
#
# This file is free software; as a special exception the author gives
@@ -16,34 +16,43 @@
outfile=$1
(
-cd $dir/..
+cd "$dir/.." || exit 1
-if [ -f ../po_document/LINGUAS ]; then :
-else
- echo "no ../po_document/LINGUAS" 1>&2
+if test -f ../po_document/LINGUAS; then :; else
+ echo "$0: no ../po_document/LINGUAS, goodbye" 1>&2
exit 1
fi
-: > $outfile
+echo >$outfile <<END_HEADER
+# Makefile.docstr generated by $0.
+#
+# Copyright 2013 Free Software Foundation, Inc.
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+END_HEADER
+
for lingua in `cat ../po_document/LINGUAS`; do
- echo '$(srcdir)/../po_document/'"$lingua.gmo"':
$(srcdir)/../po_document/'"$lingua.po"'
+ # Only run by maintainers, so assume GNU make (by using $@ in regular rules).
+ # Just for convenience.
+ echo '
+$(srcdir)/../po_document/'"$lingua.gmo"':
$(srcdir)/../po_document/'"$lingua.po"'
cd $(srcdir)/../po_document/ && $(MAKE) $(AM_MAKEFLAGS) '"$lingua.gmo"'
-LocaleData/'"$lingua"'/LC_MESSAGES/$(document_domain).mo:
$(srcdir)/../po_document/'"$lingua"'.gmo LocaleData/'"$lingua"'/LC_MESSAGES
+LocaleData/'"$lingua"'/LC_MESSAGES/$(document_domain).mo:
$(srcdir)/../po_document/'"$lingua"'.gmo
+ $(mkdir_p) `dirname address@hidden
$(INSTALL_DATA) $(srcdir)/../po_document/'"$lingua"'.gmo $@
-LocaleData/'"$lingua"'/LC_MESSAGES: LocaleData/'"$lingua"'
- $(mkdir_p) $@
+' >>$outfile
-LocaleData/'"$lingua"': LocaleData
- $(mkdir_p) $@
-' >> $outfile
dependencies="$dependencies
"'LocaleData/'"$lingua"'/LC_MESSAGES/$(document_domain).mo'
done
-echo 'LocaleData:
- $(mkdir_p) $@
-
-document_strings_mo_files = '"$dependencies" >> $outfile
+echo 'document_strings_mo_files = '"$dependencies" >>$outfile
)
Index: tp/maintain/regenerate_file_lists.pl
===================================================================
RCS file: /sources/texinfo/texinfo/tp/maintain/regenerate_file_lists.pl,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -b -r1.12 -r1.13
--- tp/maintain/regenerate_file_lists.pl 21 Nov 2012 22:48:48 -0000
1.12
+++ tp/maintain/regenerate_file_lists.pl 3 Feb 2013 23:53:48 -0000
1.13
@@ -1,5 +1,5 @@
#! /usr/bin/env perl
-# $Id: regenerate_file_lists.pl,v 1.12 2012/11/21 22:48:48 pertusus Exp $
+# $Id: regenerate_file_lists.pl,v 1.13 2013/02/03 23:53:48 karl Exp $
# Copyright 2011, 2012 Free Software Foundation, Inc.
#
# This file is free software; as a special exception the author gives
@@ -54,7 +54,7 @@
print INCLUDE <<EOH;
# Makefile.tres generated by $0.
#
-# Copyright 2012 Free Software Foundation, Inc.
+# Copyright 2013 Free Software Foundation, Inc.
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- texinfo ChangeLog tp/Makefile.am tp/maintain/re...,
karl <=